<?xml version="1.0" encoding="WINDOWS-1251"?>
<problem 
    version="1.0"
    id ="roi.day0.guess"
>
    <judging>
        <script type ="%ioi">
            <testset
                name ="preliminary"

                input-name  ="guess.in"
                output-name ="guess.out"
                input-href  ="preliminary/##"
                answer-href ="preliminary/##.a"

                time-limit ="2s"
                memory-limit ="268435456"
            >
                <test points ="0" comment="Тест из примера"/>
            </testset>

            <testset
                name ="main"

                input-name  ="guess.in"
                output-name ="guess.out"
                input-href  ="tests/##"
                answer-href ="tests/##.a"

                time-limit ="2s"
                memory-limit ="268435456"
            >
            	<test-group
            		comment = "Подзадача 1. (1 &lt;= n &lt;= 100, n догадок)"
            		score = "group"
            		feedback = "comment"
            		group-bonus = "50"
            	>
                    <test points = "0" comment = "n = 1, максимум 1 догадок" />
                    <test points = "0" comment = "n = 2, максимум 2 догадок" />
                    <test points = "0" comment = "n = 3, максимум 3 догадок" />
                    <test points = "0" comment = "n = 4, максимум 4 догадок" />
                    <test points = "0" comment = "n = 6, максимум 6 догадок" />
                    <test points = "0" comment = "n = 7, максимум 7 догадок" />
                    <test points = "0" comment = "n = 8, максимум 8 догадок" />
                    <test points = "0" comment = "n = 9, максимум 9 догадок" />
                    <test points = "0" comment = "n = 10, максимум 10 догадок" />
                    <test points = "0" comment = "n = 20, максимум 20 догадок" />
                    <test points = "0" comment = "n = 30, максимум 30 догадок" />
                    <test points = "0" comment = "n = 40, максимум 40 догадок" />
                    <test points = "0" comment = "n = 50, максимум 50 догадок" />
                    <test points = "0" comment = "n = 60, максимум 60 догадок" />
                    <test points = "0" comment = "n = 70, максимум 70 догадок" />
                    <test points = "0" comment = "n = 80, максимум 80 догадок" />
                    <test points = "0" comment = "n = 90, максимум 90 догадок" />
                    <test points = "0" comment = "n = 100, максимум 100 догадок" />
                </test-group>
            	<test-group
            		comment = "Подзадача 4. (1 &lt;= n &lt;= 10^9, 30 догадок)"
            		score = "group"
            		feedback = "comment"
            		group-bonus = "50"
            	>
                    <test points = "0" comment = "n = 200, максимум 30 догадок" />
                    <test points = "0" comment = "n = 1000, максимум 30 догадок" />
                    <test points = "0" comment = "n = 10000, максимум 30 догадок" />
                    <test points = "0" comment = "n = 100000, максимум 30 догадок" />
                    <test points = "0" comment = "n = 1000000, максимум 30 догадок" />
                    <test points = "0" comment = "n = 1000000000, максимум 30 догадок" />
                    <test points = "0" comment = "n = 999999999, максимум 30 догадок" />
                    <test points = "0" comment = "n = 872382822, максимум 30 догадок" />
                    <test points = "0" comment = "n = 282888281, максимум 30 догадок" />
                    <test points = "0" comment = "n = 665675658, максимум 30 догадок" />
                </test-group>
            </testset>

            <verifier type="%testlib">
                <binary executable-id ="x86.exe.win32" file ="check.exe" />
            </verifier>
        </script>
    </judging>
</problem>